# --- System & IDE ---
.DS_Store
.Thumbs.db
.vs
.idea
.vscode/*
!.vscode/extensions.json
!.vscode/settings.json
!.vscode/launch.json
!.vscode/tasks.json
*.suo
*.ntvs*
*.njsproj
*.sln
*.sw?
*.sublime*
.aider*

# --- Node.js / Frontend ---
node_modules/
.npm/
.yarn/
dist/
dist-ssr/
*.tgz
package-lock.json
yarn.lock
bun.lockb

# --- Rust & Tauri ---
# Folder target jest kluczowy do ignorowania - zajmuje mnóstwo miejsca
target/
src-tauri/target/
src-tauri/dump.rdb
/examples/**/src-tauri/gen/
/bench/**/src-tauri/gen/

# Artefakty budowania i pliki binarne
src-tauri/*.app
src-tauri/*.deb
src-tauri/*.rpm
src-tauri/*.msi
src-tauri/*.exe
src-tauri/*.dll
src-tauri/*.lib
src-tauri/*.pdb
src-tauri/binaries/*
src-tauri/llama/*


# --- Logs & Runtime ---
logs
*.log
npm-debug.log*
yarn-debug.log*
yarn-error.log*
pnpm-debug.log*
lerna-debug.log*
debug.log
pids
*.pid
*.seed
*.pid.lock

# --- Configuration & Secrets ---
.env
.env*
*.local

# --- Miscellaneous ---
TODO.md
streaming_example_test_video.mp4